libetonyek::IWAParser Class Reference documentation

Classes | Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Types | Private Member Functions | Private Attributes | Friends | List of all members
libetonyek::IWAParser Class Referenceabstract

`#include <IWAParser.h>`

Inheritance diagram for libetonyek::IWAParser:

## Classes
struct | Format
class | ObjectMessage
struct | PageMaster
struct | TableHeader
struct | TableInfo

## Public Member Functions
| IWAParser (const RVNGInputStreamPtr_t &fragments, const RVNGInputStreamPtr_t &package, IWORKCollector &collector)
virtual | ~IWAParser ()
bool | parse ()

## Protected Types
typedef std::map< unsigned, IWORKStylePtr_t > | StyleMap_t
typedef std::function< void(unsigned, IWORKStylePtr_t &)> | StyleParseFun_t

## Protected Member Functions
bool | readFill (const IWAMessage &msg, IWORKFill &fill)
bool | dispatchShape (unsigned id)
bool | dispatchShapeWithMessage (const IWAMessage &msg, unsigned type)
bool | parseText (unsigned id, bool createNoteAsFootnote=true, const std::function< void(unsigned, IWORKStylePtr_t)> &openPageSpan=nullptr)
void | parseComment (unsigned id)
void | parseAuthorInComment (unsigned id)
void | parseCustomFormat (unsigned id)
virtual bool | parseShapePlacement (const IWAMessage &msg, IWORKGeometryPtr_t &geometry, boost::optional< unsigned > &flags)
void | parseMask (unsigned id, IWORKGeometryPtr_t &geometry, IWORKPathPtr_t &path)
void | updateGeometryUsingTextRef (unsigned id, IWORKGeometry &geometry, unsigned flags)
const IWORKStylePtr_t | queryCharacterStyle (unsigned id) const
const IWORKStylePtr_t | queryParagraphStyle (unsigned id) const
const IWORKStylePtr_t | querySectionStyle (unsigned id) const
const IWORKStylePtr_t | queryGraphicStyle (unsigned id) const
const IWORKStylePtr_t | queryMediaStyle (unsigned id) const
const IWORKStylePtr_t | queryCellStyle (unsigned id) const
const IWORKStylePtr_t | queryTableStyle (unsigned id) const
const IWORKStylePtr_t | queryListStyle (unsigned id) const
const IWORKStylePtr_t | queryStyle (unsigned id, StyleMap_t &styleMap, StyleParseFun_t parse) const
boost::optional< unsigned > | getObjectType (unsigned id) const

## Static Protected Member Functions
static boost::optional< unsigned > | readRef (const IWAMessage &msg, unsigned field)
static std::deque< unsigned > | readRefs (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKPosition > | readPosition (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKSize > | readSize (const IWAMessage &msg, unsigned field)
static boost::optional< IWORKColor > | readColor (const IWAMessage &msg, unsigned field)
static boost::optional< std::string > | readUUID (const IWAMessage &msg, unsigned field)
static boost::optional< uint64_t > | readUID (const IWAMessage &msg, unsigned field)
static std::deque< uint64_t > | readUIDs (const IWAMessage &msg, unsigned field)
static void | readStroke (const IWAMessage &msg, IWORKStroke &stroke)
static void | readGradient (const IWAMessage &msg, IWORKGradient &gradient)
static void | readShadow (const IWAMessage &msg, IWORKShadow &shadow)
static void | readPadding (const IWAMessage &msg, IWORKPadding &padding)

## Protected Attributes
IWORKLanguageManager | m_langManager
IWORKTableNameMapPtr_t | m_tableNameMap
std::shared_ptr< IWORKText > | m_currentText

## Private Types
typedef std::map< unsigned, boost::variant< std::string, unsigned, IWORKFormulaPtr_t, Format > > | DataList_t

## Private Member Functions
| IWAParser (const IWAParser &)
IWAParser & | operator= (const IWAParser &)
virtual bool | parseDocument ()=0
void | queryObject (unsigned id, unsigned &type, boost::optional< IWAMessage > &msg) const
const RVNGInputStreamPtr_t | queryFile (unsigned id) const
void | parseObjectIndex ()
void | parseCharacterStyle (unsigned id, IWORKStylePtr_t &style)
void | parseParagraphStyle (unsigned id, IWORKStylePtr_t &style)
void | parseSectionStyle (unsigned id, IWORKStylePtr_t &style)
void | parseGraphicStyle (unsigned id, IWORKStylePtr_t &style)
void | parseMediaStyle (unsigned id, IWORKStylePtr_t &style)
void | parseCellStyle (unsigned id, IWORKStylePtr_t &style)
void | parseTableStyle (unsigned id, IWORKStylePtr_t &style)
void | parseListStyle (unsigned id, IWORKStylePtr_t &style)
void | parseHeaderAndFooter (unsigned id, IWORKPageMaster &hf)
void | parsePageMaster (unsigned id, PageMaster &pageMaster)
void | parseTabularModel (unsigned id)
void | parseDataList (unsigned id, DataList_t &dataList)
void | parseTile (unsigned id)
void | parseTableHeaders (unsigned id, TableHeader &header)
void | parseTableGridLines (unsigned id, IWORKGridLineMap_t(&gridLines)[4])
void | parseTableGridLine (unsigned id, IWORKGridLineMap_t &gridLines)
void | parseLink (unsigned id, std::string &url)
bool | parseAttachment (unsigned id)
bool | parseDrawableShape (const IWAMessage &msg, bool isConnectionLine=false)
bool | parseGroup (const IWAMessage &msg)
bool | parseShapePlacement (const IWAMessage &msg)
bool | parseImage (const IWAMessage &msg)
bool | parseTabularInfo (const IWAMessage &msg)
bool | parsePath (const IWAMessage &msg, IWORKPathPtr_t &path)
bool | parseFormula (const IWAMessage &msg, IWORKFormulaPtr_t &formula)
bool | parseFormat (const IWAMessage &msg, Format &format)
virtual bool | parseStickyNote (const IWAMessage &msg)
bool | parseArrowProperties (const IWAMessage &msg, IWORKPropertyMap &props, bool headArrow)
void | parseCharacterProperties (const IWAMessage &msg, IWORKPropertyMap &props)
void | parseColumnsProperties (const IWAMessage &msg, IWORKPropertyMap &props)

## Private Attributes
IWORKCollector & | m_collector
IWAObjectIndex | m_index
std::deque< unsigned > | m_visited
StyleMap_t | m_charStyles
StyleMap_t | m_paraStyles
StyleMap_t | m_sectionStyles
StyleMap_t | m_graphicStyles
StyleMap_t | m_mediaStyles
StyleMap_t | m_cellStyles
StyleMap_t | m_tableStyles
StyleMap_t | m_listStyles
std::shared_ptr< TableInfo > | m_currentTable
std::map< uint64_t, Format > | m_uidFormatMap

## Friends
class | IWAObjectIndex
class | ObjectMessage

## Member Typedef Documentation

## ◆ DataList_t

typedef std::map<unsigned, boost::variant<std::string, unsigned, IWORKFormulaPtr_t, Format> > libetonyek::IWAParser::DataList_t
| private

## ◆ StyleMap_t

typedef std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAParser::StyleMap_t
| protected

## ◆ StyleParseFun_t

typedef std::function<void(unsigned, IWORKStylePtr_t &)> libetonyek::IWAParser::StyleParseFun_t
| protected

## Constructor & Destructor Documentation

## ◆ IWAParser() [1/2]

libetonyek::IWAParser::IWAParser | ( | const IWAParser & |  | ) |
| private

## ◆ IWAParser() [2/2]

libetonyek::IWAParser::IWAParser | ( | const RVNGInputStreamPtr_t & | fragments,
|  | const RVNGInputStreamPtr_t & | package,
|  | IWORKCollector & | collector
| ) |  |

## ◆ ~IWAParser()

virtual libetonyek::IWAParser::~IWAParser | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ dispatchShape()

bool libetonyek::IWAParser::dispatchShape | ( | unsigned | id | ) |
| protected

Referenced by libetonyek::PAG5Parser::dispatchShape(), parseGroup(), libetonyek::NUM3Parser::parseSheet(), and libetonyek::KEY6Parser::parseSlide().

## ◆ dispatchShapeWithMessage()

bool libetonyek::IWAParser::dispatchShapeWithMessage | ( | const IWAMessage & | msg,
|  | unsigned | type
| ) |  |
| protected

Referenced by dispatchShape(), and libetonyek::NUM3Parser::parseStickyNote().

## ◆ getObjectType()

boost::optional< unsigned > libetonyek::IWAParser::getObjectType | ( | unsigned | id | ) | const
| protected

## ◆ operator=()

IWAParser & libetonyek::IWAParser::operator= | ( | const IWAParser & |  | ) |
| private

## ◆ parse()

bool libetonyek::IWAParser::parse | ( |  | ) |

## ◆ parseArrowProperties()

bool libetonyek::IWAParser::parseArrowProperties | ( | const IWAMessage & | msg,
|  | IWORKPropertyMap & | props,
|  | bool | headArrow
| ) |  |
| private

Referenced by parseDrawableShape(), and parseGraphicStyle().

## ◆ parseAttachment()

bool libetonyek::IWAParser::parseAttachment | ( | unsigned | id | ) |
| private

## ◆ parseAuthorInComment()

void libetonyek::IWAParser::parseAuthorInComment | ( | unsigned | id | ) |
| protected

Referenced by parseComment().

## ◆ parseCellStyle()

void libetonyek::IWAParser::parseCellStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryCellStyle().

## ◆ parseCharacterProperties()

void libetonyek::IWAParser::parseCharacterProperties | ( | const IWAMessage & | msg,
|  | IWORKPropertyMap & | props
| ) |  |
| private

Referenced by parseCharacterStyle(), and parseParagraphStyle().

## ◆ parseCharacterStyle()

void libetonyek::IWAParser::parseCharacterStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryCharacterStyle().

## ◆ parseColumnsProperties()

void libetonyek::IWAParser::parseColumnsProperties | ( | const IWAMessage & | msg,
|  | IWORKPropertyMap & | props
| ) |  |
| private

Referenced by parseSectionStyle().

## ◆ parseComment()

void libetonyek::IWAParser::parseComment | ( | unsigned | id | ) |
| protected

Referenced by libetonyek::KEY6Parser::parseStickyNote(), and parseTile().

## ◆ parseCustomFormat()

void libetonyek::IWAParser::parseCustomFormat | ( | unsigned | id | ) |
| protected

Referenced by libetonyek::NUM3Parser::parseDocument().

## ◆ parseDataList()

void libetonyek::IWAParser::parseDataList | ( | unsigned | id,
|  | DataList_t & | dataList
| ) |  |
| private

Referenced by parseTabularModel().

## ◆ parseDocument()

virtual bool libetonyek::IWAParser::parseDocument | ( |  | ) |
| privatepure virtual

Implemented in libetonyek::KEY6Parser, libetonyek::NUM3Parser, and libetonyek::PAG5Parser.

Referenced by parse().

## ◆ parseDrawableShape()

bool libetonyek::IWAParser::parseDrawableShape | ( | const IWAMessage & | msg,
|  | bool | isConnectionLine = `false`
| ) |  |
| private

Referenced by dispatchShapeWithMessage(), and parseAttachment().

## ◆ parseFormat()

bool libetonyek::IWAParser::parseFormat | ( | const IWAMessage & | msg,
|  | IWAParser::Format & | format
| ) |  |
| private

Referenced by parseCustomFormat(), and parseDataList().

## ◆ parseFormula()

bool libetonyek::IWAParser::parseFormula | ( | const IWAMessage & | msg,
|  | IWORKFormulaPtr_t & | formula
| ) |  |
| private

Referenced by parseDataList().

## ◆ parseGraphicStyle()

void libetonyek::IWAParser::parseGraphicStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryGraphicStyle().

## ◆ parseGroup()

bool libetonyek::IWAParser::parseGroup | ( | const IWAMessage & | msg | ) |
| private

Referenced by dispatchShapeWithMessage(), and parseAttachment().

## ◆ parseHeaderAndFooter()

void libetonyek::IWAParser::parseHeaderAndFooter | ( | unsigned | id,
|  | IWORKPageMaster & | hf
| ) |  |
| private

Referenced by parsePageMaster().

## ◆ parseImage()

bool libetonyek::IWAParser::parseImage | ( | const IWAMessage & | msg | ) |
| private

Referenced by dispatchShapeWithMessage(), and parseAttachment().

## ◆ parseLink()

void libetonyek::IWAParser::parseLink | ( | unsigned | id,
|  | std::string & | url
| ) |  |
| private

Referenced by parseText().

## ◆ parseListStyle()

void libetonyek::IWAParser::parseListStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryListStyle().

## ◆ parseMask()

void libetonyek::IWAParser::parseMask | ( | unsigned | id,
|  | IWORKGeometryPtr_t & | geometry,
|  | IWORKPathPtr_t & | path
| ) |  |
| protected

Referenced by parseImage().

## ◆ parseMediaStyle()

void libetonyek::IWAParser::parseMediaStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryMediaStyle().

## ◆ parseObjectIndex()

void libetonyek::IWAParser::parseObjectIndex | ( |  | ) |
| private

Referenced by parse().

## ◆ parsePageMaster()

void libetonyek::IWAParser::parsePageMaster | ( | unsigned | id,
|  | PageMaster & | pageMaster
| ) |  |
| private

Referenced by parseText().

## ◆ parseParagraphStyle()

void libetonyek::IWAParser::parseParagraphStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryParagraphStyle().

## ◆ parsePath()

bool libetonyek::IWAParser::parsePath | ( | const IWAMessage & | msg,
|  | IWORKPathPtr_t & | path
| ) |  |
| private

Referenced by parseArrowProperties(), and parseDrawableShape().

## ◆ parseSectionStyle()

void libetonyek::IWAParser::parseSectionStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by querySectionStyle().

## ◆ parseShapePlacement() [1/2]

bool libetonyek::IWAParser::parseShapePlacement | ( | const IWAMessage & | msg | ) |
| private

## ◆ parseShapePlacement() [2/2]

bool libetonyek::IWAParser::parseShapePlacement | ( | const IWAMessage & | msg,
|  | IWORKGeometryPtr_t & | geometry,
|  | boost::optional< unsigned > & | flags
| ) |  |
| protectedvirtual

Reimplemented in libetonyek::NUM3Parser.

Referenced by parseDrawableShape(), parseGroup(), parseImage(), parseMask(), libetonyek::KEY6Parser::parsePlaceholder(), parseShapePlacement(), and parseTabularInfo().

## ◆ parseStickyNote()

bool libetonyek::IWAParser::parseStickyNote | ( | const IWAMessage & | msg | ) |
| privatevirtual

Reimplemented in libetonyek::KEY6Parser, and libetonyek::NUM3Parser.

Referenced by dispatchShapeWithMessage().

## ◆ parseTableGridLine()

void libetonyek::IWAParser::parseTableGridLine | ( | unsigned | id,
|  | IWORKGridLineMap_t & | gridLines
| ) |  |
| private

## ◆ parseTableGridLines()

void libetonyek::IWAParser::parseTableGridLines | ( | unsigned | id,
|  | IWORKGridLineMap_t(&) | gridLines[4]
| ) |  |
| private

Referenced by parseTabularModel().

## ◆ parseTableHeaders()

void libetonyek::IWAParser::parseTableHeaders | ( | unsigned | id,
|  | TableHeader & | header
| ) |  |
| private

Referenced by parseTabularModel().

## ◆ parseTableStyle()

void libetonyek::IWAParser::parseTableStyle | ( | unsigned | id,
|  | IWORKStylePtr_t & | style
| ) |  |
| private

Referenced by queryTableStyle().

## ◆ parseTabularInfo()

bool libetonyek::IWAParser::parseTabularInfo | ( | const IWAMessage & | msg | ) |
| private

Referenced by dispatchShapeWithMessage(), and parseAttachment().

## ◆ parseTabularModel()

void libetonyek::IWAParser::parseTabularModel | ( | unsigned | id | ) |
| private

Referenced by parseTabularInfo().

## ◆ parseText()

bool libetonyek::IWAParser::parseText | ( | unsigned | id,
|  | bool | createNoteAsFootnote = `true`,
|  | const std::function< void(unsigned, IWORKStylePtr_t)> & | openPageSpan = `nullptr`
| ) |  |
| protected

Referenced by libetonyek::PAG5Parser::parseDocument(), parseDrawableShape(), parseHeaderAndFooter(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), parseText(), and parseTile().

## ◆ parseTile()

void libetonyek::IWAParser::parseTile | ( | unsigned | id | ) |
| private

Referenced by parseTabularModel().

## ◆ queryCellStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryCellStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseCellStyle(), parseTabularModel(), and parseTile().

## ◆ queryCharacterStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryCharacterStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseCharacterStyle(), and parseText().

## ◆ queryFile()

const RVNGInputStreamPtr_t libetonyek::IWAParser::queryFile | ( | unsigned | id | ) | const
| private

Referenced by parseImage(), parseListStyle(), and readFill().

## ◆ queryGraphicStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryGraphicStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseDrawableShape(), parseGraphicStyle(), and libetonyek::KEY6Parser::parsePlaceholder().

## ◆ queryListStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryListStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseListStyle(), and parseText().

## ◆ queryMediaStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryMediaStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseImage(), and parseMediaStyle().

## ◆ queryObject()

void libetonyek::IWAParser::queryObject | ( | unsigned | id,
|  | unsigned & | type,
|  | boost::optional< IWAMessage > & | msg
| ) |  | const
| private

Referenced by libetonyek::IWAParser::ObjectMessage::ObjectMessage().

## ◆ queryParagraphStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryParagraphStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseGraphicStyle(), parseParagraphStyle(), parseTabularModel(), parseText(), and updateGeometryUsingTextRef().

## ◆ querySectionStyle()

const IWORKStylePtr_t libetonyek::IWAParser::querySectionStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseSectionStyle(), and parseText().

## ◆ queryStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryStyle | ( | unsigned | id,
|  | StyleMap_t & | styleMap,
|  | StyleParseFun_t | parse
| ) |  | const
| protected

Referenced by queryCellStyle(), queryCharacterStyle(), queryGraphicStyle(), queryListStyle(), queryMediaStyle(), queryParagraphStyle(), querySectionStyle(), libetonyek::KEY6Parser::querySlideStyle(), and queryTableStyle().

## ◆ queryTableStyle()

const IWORKStylePtr_t libetonyek::IWAParser::queryTableStyle | ( | unsigned | id | ) | const
| protected

Referenced by parseTableStyle(), and parseTabularModel().

## ◆ readColor()

boost::optional< IWORKColor > libetonyek::IWAParser::readColor | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseCharacterProperties(), parseParagraphStyle(), readFill(), readGradient(), readShadow(), readStroke(), and libetonyek::IWAObjectIndex::scanColorFileCorrespondance().

## ◆ readFill()

bool libetonyek::IWAParser::readFill | ( | const IWAMessage & | msg,
|  | IWORKFill & | fill
| ) |  |
| protected

Referenced by parseCellStyle(), parseGraphicStyle(), parsePageMaster(), libetonyek::KEY6Parser::parseSlideStyle(), and parseTableStyle().

## ◆ readGradient()

void libetonyek::IWAParser::readGradient | ( | const IWAMessage & | msg,
|  | IWORKGradient & | gradient
| ) |  |
| staticprotected

Referenced by readFill().

## ◆ readPadding()

void libetonyek::IWAParser::readPadding | ( | const IWAMessage & | msg,
|  | IWORKPadding & | padding
| ) |  |
| staticprotected

Referenced by parseCellStyle(), and parseGraphicStyle().

## ◆ readPosition()

boost::optional< IWORKPosition > libetonyek::IWAParser::readPosition | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseArrowProperties(), parseDrawableShape(), parsePath(), parseShapePlacement(), and libetonyek::NUM3Parser::parseShapePlacement().

## ◆ readRef()

boost::optional< unsigned > libetonyek::IWAParser::readRef | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseAttachment(), parseCellStyle(), parseCharacterStyle(), parseComment(), parseDataList(), libetonyek::KEY6Parser::parseDocument(), libetonyek::NUM3Parser::parseDocument(), libetonyek::PAG5Parser::parseDocument(), parseDrawableShape(), parseGraphicStyle(), libetonyek::PAG5Parser::parseGroupRef(), parseImage(), parseListStyle(), parseMediaStyle(), libetonyek::KEY6Parser::parseNotes(), parsePageMaster(), parseParagraphStyle(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parsePresentation(), parseSectionStyle(), libetonyek::KEY6Parser::parseSlide(), libetonyek::KEY6Parser::parseSlideStyle(), libetonyek::KEY6Parser::parseStickyNote(), parseTableStyle(), parseTabularInfo(), parseTabularModel(), parseText(), readFill(), libetonyek::IWAObjectIndex::scanColorFileMap(), and updateGeometryUsingTextRef().

## ◆ readRefs()

std::deque< unsigned > libetonyek::IWAParser::readRefs | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by libetonyek::NUM3Parser::parseDocument(), parseGroup(), libetonyek::KEY6Parser::parsePresentation(), libetonyek::NUM3Parser::parseSheet(), libetonyek::KEY6Parser::parseSlide(), libetonyek::KEY6Parser::parseSlideList(), and parseTableGridLines().

## ◆ readShadow()

void libetonyek::IWAParser::readShadow | ( | const IWAMessage & | msg,
|  | IWORKShadow & | shadow
| ) |  |
| staticprotected

Referenced by parseCharacterProperties(), parseGraphicStyle(), and parseMediaStyle().

## ◆ readSize()

boost::optional< IWORKSize > libetonyek::IWAParser::readSize | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseDrawableShape(), parseImage(), parseShapePlacement(), libetonyek::NUM3Parser::parseShapePlacement(), and readFill().

## ◆ readStroke()

void libetonyek::IWAParser::readStroke | ( | const IWAMessage & | msg,
|  | IWORKStroke & | stroke
| ) |  |
| staticprotected

Referenced by parseCellStyle(), parseGraphicStyle(), parseMediaStyle(), parseParagraphStyle(), and parseTableGridLine().

## ◆ readUID()

boost::optional< uint64_t > libetonyek::IWAParser::readUID | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseFormat().

## ◆ readUIDs()

std::deque< uint64_t > libetonyek::IWAParser::readUIDs | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseCustomFormat().

## ◆ readUUID()

boost::optional< std::string > libetonyek::IWAParser::readUUID | ( | const IWAMessage & | msg,
|  | unsigned | field
| ) |  |
| staticprotected

Referenced by parseFormula().

## ◆ updateGeometryUsingTextRef()

void libetonyek::IWAParser::updateGeometryUsingTextRef | ( | unsigned | id,
|  | IWORKGeometry & | geometry,
|  | unsigned | flags
| ) |  |
| protected

Referenced by parseDrawableShape(), and updateGeometryUsingTextRef().

## Friends And Related Function Documentation

## ◆ IWAObjectIndex

friend class IWAObjectIndex
| friend

## ◆ ObjectMessage

friend class ObjectMessage
| friend

## Member Data Documentation

## ◆ m_cellStyles

StyleMap_t libetonyek::IWAParser::m_cellStyles
| mutableprivate

Referenced by queryCellStyle().

## ◆ m_charStyles

StyleMap_t libetonyek::IWAParser::m_charStyles
| mutableprivate

Referenced by queryCharacterStyle().

## ◆ m_collector

IWORKCollector& libetonyek::IWAParser::m_collector
| private

Referenced by parseAttachment(), parseDrawableShape(), parseGroup(), parseHeaderAndFooter(), parseImage(), parseShapePlacement(), parseTabularInfo(), parseTabularModel(), and parseTile().

## ◆ m_currentTable

std::shared_ptr<TableInfo> libetonyek::IWAParser::m_currentTable
| private

Referenced by parseTabularModel(), and parseTile().

## ◆ m_currentText

std::shared_ptr<IWORKText> libetonyek::IWAParser::m_currentText
| protected

Referenced by parseAttachment(), parseAuthorInComment(), parseComment(), libetonyek::PAG5Parser::parseDocument(), parseDrawableShape(), parseHeaderAndFooter(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), libetonyek::NUM3Parser::parseStickyNote(), parseText(), and parseTile().

## ◆ m_graphicStyles

StyleMap_t libetonyek::IWAParser::m_graphicStyles
| mutableprivate

Referenced by queryGraphicStyle().

## ◆ m_index

IWAObjectIndex libetonyek::IWAParser::m_index
| private

Referenced by getObjectType(), parseObjectIndex(), queryFile(), queryObject(), and readFill().

## ◆ m_langManager

IWORKLanguageManager libetonyek::IWAParser::m_langManager
| protected

Referenced by parseAuthorInComment(), parseComment(), libetonyek::PAG5Parser::parseDocument(), parseDrawableShape(), parseHeaderAndFooter(), libetonyek::KEY6Parser::parseNotes(), libetonyek::KEY6Parser::parsePlaceholder(), libetonyek::KEY6Parser::parseStickyNote(), parseTabularModel(), parseText(), and parseTile().

## ◆ m_listStyles

StyleMap_t libetonyek::IWAParser::m_listStyles
| mutableprivate

## ◆ m_mediaStyles

StyleMap_t libetonyek::IWAParser::m_mediaStyles
| mutableprivate

Referenced by queryMediaStyle().

## ◆ m_paraStyles

StyleMap_t libetonyek::IWAParser::m_paraStyles
| mutableprivate

Referenced by queryParagraphStyle().

## ◆ m_sectionStyles

StyleMap_t libetonyek::IWAParser::m_sectionStyles
| mutableprivate

Referenced by querySectionStyle().

## ◆ m_tableNameMap

IWORKTableNameMapPtr_t libetonyek::IWAParser::m_tableNameMap
| protected

Referenced by libetonyek::NUM3Parser::parseSheet(), and parseTabularModel().

## ◆ m_tableStyles

StyleMap_t libetonyek::IWAParser::m_tableStyles
| mutableprivate

Referenced by queryListStyle(), and queryTableStyle().

## ◆ m_uidFormatMap

std::map<uint64_t,Format> libetonyek::IWAParser::m_uidFormatMap
| private

Referenced by parseCustomFormat(), and parseFormat().

## ◆ m_visited

std::deque<unsigned> libetonyek::IWAParser::m_visited
| private

Referenced by libetonyek::IWAParser::ObjectMessage::ObjectMessage().

The documentation for this class was generated from the following files:

- IWAParser.h
- IWAParser.cpp